Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad.render
Class ShockwaveContentProvider

    java.lang.Object
      com.bea.p13n.ad.render.ShockwaveContentProvider

All Implemented Interfaces
  AdContentProvider, AdRenderableContentProvider

    public class ShockwaveContentProvider

extends Object
implements AdRenderableContentProvider

A class that provides XHTML rendering for shockwave content.

This will respond to the following AdContentProvider properties (specified in the configuration):

- ShowDocURI: The web-application scoped URI of the ShowDocServlet (defaults to `"ShowDoc"`).
- obj.classid: Specifies the classid on the <object> tag. Defaults to `clsid:D27CDB6E-AE6D-11cf-96B8-444553540000`.
- obj.codebase: Specifies the codebase on the <object> tag. Defaults to `http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0`.
- embed.pluginspage: Specifies the pluginspage on the <embed> tag. Defaults to `http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash`.

Field Summary

Fields inherited from interface com.bea.p13n.ad.AdRenderableContentProvider
`VERSION_ID`

Fields inherited from interface com.bea.p13n.ad.AdContentProvider
`NEW_WINDOW, NEW_WINDOW_TYPE, PREVIEW`

Constructor Summary
`ShockwaveContentProvider()`

Method Summary
`static String` | `cnvrtSC(String s)` Convert special characters.
`protected String` | `createParam(String name, String value)` Create a tag with the specified name and value.
`String` | `renderContent(Node c, long identifier, String servletBase, int height, int width, int options)` Deprecated
`String` | `renderContent(RenderableContent content, long identifier, String servletBase, int height, int width, int options)` Return the XHTML content for the specified content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShockwaveContentProvider

    public ShockwaveContentProvider()

Method Detail

### renderContent

    public String renderContent(Node c,
                                long identifier,
                                String servletBase,
                                int height,
                                int width,
                                int options)
                         throws AdContentException

  Deprecated

  Return the XHTML content for the specified content.

  Specified by:
    `renderContent` in interface `AdContentProvider`
  Parameters
    `content` - The content element to render
    `identifier` - A long that is used to access the database record
    `servletBase` - The Web App root for the click thru servlet
    `height` - The suggested height
    `width` - The suggested width
    `option` - The options for the rendering
  Throws
    `AdContentException`

### renderContent

    public String renderContent(RenderableContent content,
                                long identifier,
                                String servletBase,
                                int height,
                                int width,
                                int options)
                         throws AdContentException

  Return the XHTML content for the specified content.

  Specified by:
    `renderContent` in interface `AdRenderableContentProvider`
  Parameters
    `content` - The content element to render
    `identifier` - A long that is used to access the database record
    `servletBase` - The Web App root for the click thru servlet
    `height` - The suggested height
    `width` - The suggested width
    `option` - The options for the rendering
  Throws
    `AdContentException`

### createParam

    protected String createParam(String name,
                                 String value)

  Create a tag with the specified name and value.

  Parameters
    `name` - the name attribute
    `value` - the value attribute

### cnvrtSC

    public static final String cnvrtSC(String s)

  Convert special characters.

  See Also
    `AdHelper.toHTML(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.